﻿package de.davidochmann.frameworks.dosite.main.containerbuilder.containerfactory.container 
{
	/**
	 * @author dochmann
	 */

	import flash.display.Sprite;
	import flash.display.DisplayObject;

	public class SubsiteContainer extends Sprite 
	{
		private var mId:String;
		private var mURL:String;
		private var mParams:String;
		private var mTitle:String;
		private var mPath:String;
		private var mExtensible:String;
		private var mChild:DisplayObject;
		private var mWidth:uint;
		private var mHeight:uint;
		private var mX:int;
		private var mY:int;
		
		
		
		public function SubsiteContainer(pId:String			  =   "",
							   			 pURL:String		  =   "",
							   			 pParams:String		  =   "",
							   			 pTitle:String 		  =   "",
							   			 pPath:String		  =   "",
							   			 pExtensible:String	  =   "",
							   			 pChild:DisplayObject = null,
							   			 pX:int				  =	   0,
							   			 pY:int				  =	   0,
							   			 pWidth:uint		  =    0,
							   			 pHeight:uint		  =	   0):void
		{
			setId(pId);
			setURL(pURL);
			setParams(pParams);
			setTitle(pTitle);
			setPath(pPath);
			setExtensible(pExtensible);
			setChild(pChild);
			setX(pX);
			setY(pY);
			setWidth(pWidth);
			setHeight(pHeight);
		}
		
		
		
		
		/*
		 * GETTER FUNCTIONS
		 */
		
		public function getId():String
		{
			return mId;
		}
		
		public function getURL():String
		{
			return mURL;
		}
		
		public function getParams():String
		{
			return mParams;
		}

		public function getTitle():String
		{
			return mTitle;
		}
		
		public function getPath():String
		{
			return mPath;
		}
		
		public function getExtensible():String
		{
			return mExtensible;
		}

		public function getChild():DisplayObject
		{
			return mChild;
		}
		
		public function getX():int
		{
			return mX;
		}
		
		public function getY():int
		{
			return mY;
		}

		public function getWidth():uint
		{
			return mWidth;
		}
		
		public function getHeight():uint
		{
			return mHeight;
		}

		
		
		/*
		 * SETTER FUNCTIONS
		 */
		
		public function setId(pId:String):void
		{
			mId = pId;
		}
		
		public function setURL(pURL:String):void
		{
			mURL = pURL;
		}
		
		public function setParams(pParams:String):void
		{
			mParams = pParams;
		}

		public function setTitle(pTitle:String):void
		{
			mTitle = pTitle;
		}

		public function setPath(pPath:String):void
		{
			mPath = pPath;
		}

		public function setExtensible(pExtensible:String):void
		{
			mExtensible = pExtensible;
		}

		public function setChild(pChild:DisplayObject):void
		{
			mChild = pChild;
		}
		
		public function setX(pX:int):void
		{
			mX = pX;
		}
		
		public function setY(pY:int):void
		{
			mY = pY;
		}

		public function setWidth(pWidth:uint):void
		{
			mWidth = pWidth;
		}
		
		public function setHeight(pHeight:uint):void
		{
			mHeight = pHeight;
		}
	}
}
