﻿package de.davidochmann.frameworks.dosite.main.containerbuilder.containerfactory.container 
{
	/**
	 * @author dochmann
	 */

	import flash.display.Sprite;
	import flash.display.DisplayObject;

	public class FixedContainer extends Sprite 
	{
		private var mId:String;
		private var mTitle:String;
		private var mPath:String;
		private var mExtensible:String;
		private var mChild:DisplayObject;
		private var mWidth:uint;
		private var mHeight:uint;
		private var mX:int;
		private var mY:int;
		private var mDepth:uint;		

		
		
		public function FixedContainer(pId:String				  =   "",
							   			   pTitle:String 		  =   "",
							   			   pPath:String			  =   "",
							   			   pExtensible:String	  =   "",
							   			   pChild:DisplayObject   = null,
							   			   pX:int				  =	   0,
							   			   pY:int				  =    0,
							   			   pWidth:uint			  =    0,
							   			   pHeight:uint			  =	   0,
							   			   pDepth:int			  =    0):void
		{
			setId(pId);
			setTitle(pTitle);
			setPath(pPath);
			setExtensible(pExtensible);
			setChild(pChild);
			setX(pX);
			setY(pY);
			setWidth(pWidth);
			setHeight(pHeight);
			setDepth(pDepth);
		}
		
		
		
		
		/*
		 * GETTER FUNCTIONS
		 */
		
		public function getId():String
		{
			return mId;
		}

		public function getTitle():String
		{
			return mTitle;
		}
		
		public function getPath():String
		{
			return mPath;
		}

		public function getExtensible():String
		{
			return mExtensible;
		}

		public function getChild():DisplayObject
		{
			return mChild;
		}
		
		public function getX():int
		{
			return mX;
		}
		
		public function getY():int
		{
			return mY;
		}
		
		
		public function getWidth():uint
		{
			return mWidth;
		}
		
		public function getHeight():uint
		{
			return mHeight;
		}
		public function getDepth():uint
		{
			return mDepth;
		}

		
		
		/*
		 * SETTER FUNCTIONS
		 */
		
		public function setId(pId:String):void
		{
			mId = pId;
		}

		public function setTitle(pTitle:String):void
		{
			mTitle = pTitle;
		}

		public function setPath(pPath:String):void
		{
			mPath = pPath;
		}
		
		public function setExtensible(pExtensible:String):void
		{
			mExtensible = pExtensible;
		}

		public function setChild(pChild:DisplayObject):void
		{
			mChild = pChild;
		}
		
		public function setX(pX:int):void
		{
			mX = pX;
		}
		
		public function setY(pY:int):void
		{
			mY = pY;
		}

		public function setWidth(pWidth:uint):void
		{
			mWidth = pWidth;
		}
		
		public function setHeight(pHeight:uint):void
		{
			mHeight = pHeight;
		}
		
		public function setDepth(pDepth:uint):void
		{
			mDepth = pDepth;
		}
	}
}
