﻿package de.davidochmann.frameworks.dosite.main.data.composition 
{
	/**
	 * @author dochmann
	 */
	 
	import de.davidochmann.frameworks.dosite.main.data.composition.item.Init;
	import de.davidochmann.frameworks.dosite.main.data.composition.item.Setup;
	import de.davidochmann.frameworks.dosite.main.data.composition.item.Transition;
	import de.davidochmann.frameworks.dosite.main.data.composition.item.layout.Layout;
	
	public class Composition 
	{
		private var mSetup:Setup;
		private var mInit:Init;
		private var mTransition:Transition;
		private var mLayout:Layout;
		
		
		
		public function Composition():void{}
		
		
		
		/*
		 * PUBLIC FUNCTIONS
		 */
		 
		public function setup():Setup
		{
			return mSetup;
		}
		
		public function init():Init
		{
			return mInit;
		}

		public function layout():Layout
		{
			return mLayout;
		}
		
		public function transition():Transition
		{
			return mTransition;
		}


		public function addSetup(pSetup:Setup):void
		{
			mSetup = pSetup;
		}

		public function addInit(pInit:Init):void
		{
			mInit = pInit;
		}

		public function addLayout(pLayout:Layout):void
		{
			mLayout = pLayout;
		}
		
		public function addTransition(pTransition:Transition):void
		{
			mTransition = pTransition;
		}
	}
}
