﻿package de.davidochmann.frameworks.dosite.main.events 
{
	/**
	 * @author dochmann
	 */

	import flash.events.Event;
	import de.davidochmann.frameworks.dosite.main.containerbuilder.containerfactory.container.SubsiteContainer;

	public class DoSiteEvent extends Event 
	{
		public static var NAVIGATION_SITE_OPEN:String	   = "NAVIGATION_SITE_OPEN";
		public static var NAVIGATION_SITE_SWAP_INIT:String = "NAVIGATION_SITE_SWAP_INIT";
		public static var NAVIGATION_SITE_SWAP_OPEN:String = "NAVIGATION_SITE_SWAP_OPEN";
		
		private var mSubsiteContainer:SubsiteContainer;
		
		
		
		public function DoSiteEvent(type:String, 
									pSubsiteContainer:SubsiteContainer  = null,
									bubbles:Boolean				 	    = false, 
									cancelable:Boolean					= false)
		{
			setSubsiteContainer(pSubsiteContainer);
			super(type, bubbles, cancelable);
		}
		
		
		
		/*
		 * PUBLIC FUNCTIONS
		 */
		
		override public function clone():Event
		{
			return new DoSiteEvent(type, mSubsiteContainer);
		}

		override public function toString():String
		{
			return formatToString("DoSiteEvent", "type");	
		}
		
		
		
		/*
		 * GETTER FUNCTIONS
		 */
		 
		public function getSubsiteContainer():SubsiteContainer
		{
			return mSubsiteContainer;
		}
		
		
		
		/*
		 * SETTER FUNCTIONS
		 */
		 
		public function setSubsiteContainer(pSubsiteContainer:SubsiteContainer):void
		{
			mSubsiteContainer = pSubsiteContainer;
		}
	}
}
