﻿package de.davidochmann.frameworks.dosite.main.data.composition.item.layout.item 
{
	/**
	 * @author dochmann
	 */
	 
	public class Subsite 
	{
		private var mId:String;
		private var mURL:String;
		private var mTitle:String;
		private var mParams:String;
		private var mWidth:uint;
		private var mHeight:uint;
		private var mX:int;
		private var mY:int;
		
		
		
		public function Subsite(pId:String	   = "",
							    pURL:String	   = "",
							    pTitle:String  = "",
							    pParams:String = "",
							    pWidth:uint    =  0,
							    pHeight:uint   =  0,
							    pX:int		   =  0,
							    pY:int		   =  0):void
		{
			setId(pId);
			setURL(pURL);
			setTitle(pTitle);
			setParams(pParams);
			setWidth(pWidth);
			setHeight(pHeight);
			setX(pX);
			setY(pY);
		}
		
		
		
		/*
		 * GETTER FUNCTIONS
		 */
		
		public function getId():String
		{
			return mId;
		}
		
		public function getURL():String
		{
			return mURL;
		}

		public function getTitle():String
		{
			return mTitle;
		}
		
		public function getParams():String
		{
			return mParams;
		}
		
		public function getWidth():uint
		{
			return mWidth;
		}
		
		public function getHeight():uint
		{
			return mHeight;
		}
		
		public function getX():int
		{
			return mX;
		}
		
		public function getY():int
		{
			return mY;
		}
		
		
		
		/*
		 * SETTER FUNCTIONS
		 */
		
		public function setId(pId:String):void
		{
			mId = pId;
		}
		
		public function setURL(pURL:String):void
		{
			mURL = pURL;
		}

		public function setTitle(pTitle:String):void
		{
			mTitle = pTitle;
		}
		
		public function setParams(pParams:String):void
		{
			mParams = pParams;
		}

		public function setWidth(pWidth:uint):void
		{
			mWidth = pWidth;
		}
		
		public function setHeight(pHeight:uint):void
		{
			mHeight = pHeight;
		}
		
		public function setX(pX:int):void
		{
			mX = pX;
		}
		
		public function setY(pY:int):void
		{
			mY = pY;
		}
	}
}
