﻿package de.davidochmann.frameworks.dosite.main.containerbuilder.containerfactory 
{
	/**
	 * @author dochmann
	 */

	import flash.display.DisplayObject;
	import de.davidochmann.frameworks.dosite.main.containerbuilder.containerfactory.container.SubsiteContainer;
	import de.davidochmann.frameworks.dosite.main.containerbuilder.containerfactory.container.FixedContainer;

	public class ContainerFactory 
	{
		public function ContainerFactory():void{}
		
		
		
		/*
		 * PUBLIC STATIC FUNCTIONS
		 */
		 
		public static function subsite(pId:String			=   "",
							   		   pURL:String			=   "",
							   		   pParams:String		=   "",
							   		   pTitle:String		=   "",
							   		   pPath:String			=   "",
							   		   pExtensible:String	=   "",
							   		   pChild:DisplayObject = null,
							   		   pX:int				=    0,
							   		   pY:int				=    0,
							   		   pWidth:uint			=    0,
							   		   pHeight:uint			=    0):SubsiteContainer
		{
			var sc:SubsiteContainer = new SubsiteContainer(pId, pURL, pParams, pTitle, pPath, pExtensible, pChild, pX, pY, pWidth, pHeight);
			
			return sc;
		}
		
		public static function fixed(pId:String			  =   "",
							   		 pTitle:String		  =   "",
							   		 pPath:String	      =   "",
									 pExtensible:String	  =   "",
							   		 pChild:DisplayObject = null,
							   		 pX:int				  =    0,
							   		 pY:int				  =    0,
							   		 pWidth:uint		  =    0,
							   		 pHeight:uint		  =    0,
							   		 pDepth:uint		  =    0):FixedContainer
		{
			var fc:FixedContainer = new FixedContainer(pId, pTitle, pPath, pExtensible, pChild, pX, pY, pWidth, pHeight, pDepth);
			
			return fc;
		}
	}
}
