﻿package de.davidochmann.frameworks.dosite.main.xmlparser.data.composition 
{
	/**
	 * @author dochmann
	 */

	import de.davidochmann.frameworks.dosite.main.xmlparser.data.composition.item.Setup;
	import de.davidochmann.frameworks.dosite.main.xmlparser.data.composition.item.Transition;
	import de.davidochmann.frameworks.dosite.main.xmlparser.data.composition.item.layout.Layout;
	 
	public class Composition 
	{
		private var mSetup:Setup;
		private var mTransition:Transition;
		private var mLayout:Layout;
		
		
		
		public function Composition():void{}
		
		
		
		/*
		 * PUBLIC FUNCTIONS
		 */
		 
		public function setup():Setup
		{
			return mSetup;
		}
		
		public function layout():Layout
		{
			return mLayout;
		}
		
		public function transition():Transition
		{
			return mTransition;
		}

		public function addSetup(pSetup:Setup):void
		{
			mSetup = pSetup;
		}
		
		public function addLayout(pLayout:Layout):void
		{
			mLayout = pLayout;
		}
		
		public function addTransition(pTransition:Transition):void
		{
			mTransition = pTransition;
		}
	}
}
