﻿package de.davidochmann.projects.vivaespana.fixed.header 
{
	/**
	 * @author dochmann
	 */
	import flash.utils.setTimeout;
	 
	import de.davidochmann.frameworks.dosite.main.events.DoSiteEvent;
	import de.davidochmann.frameworks.dosite.DoSite;
	import flash.display.MovieClip;

	[Embed (source="../../../../../../../deploy/swf/fixed/header.swf", symbol="header")]

	public class Header extends MovieClip 
	{
		public var mMan:MovieClip;
		public var mSkyline:MovieClip;
		
		private var mDoSite:DoSite;
		
		
		
		public function Header()
		{
			initDoSite();
			initMan();
			initDoSiteEvents();
		}

		
		
		/*
		 * PRIVATE FUNCTIONS
		 */

		private function initDoSite():void
		{
			mDoSite = DoSite.getInstance();
		}
		
		private function initMan():void
		{
			mMan.addFrameScript(0, mMan.stop);
			setTimeout(mMan.play, 500);
		}
		
		
		private function initDoSiteEvents():void
		{
			mDoSite.addEventListener(DoSiteEvent.NAVIGATION_SITE_SWAP_OPEN, doSiteNavigationSiteSwapOpenHandler);
		}
		
		private function doSiteNavigationSiteSwapOpenHandler(e:DoSiteEvent):void
		{
			mMan.play();
		}
	}
}
